MQServiceComponent (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQServiceComponent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQServiceComponent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, Provider, java.io.Serializable, SoftwareComponent

    public interface MQServiceComponent

extends SoftwareComponent, MQBase

You need to specify service component information when you add a new installable service. On Windows systems use regedit, and on UNIX systems use the ServiceComponent stanza in the qm.ini file. The authorization service stanza is present by default, and the associated component, the OAM, is active.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getComponentDataSize()` ComponentDataSize=size The size, in bytes, of the component data area passed to the component on each call.
`MQInstallableService` | `getInstallableService()`
`boolean` | `hasComponentDataSize()`
`boolean` | `hasInstallableService()`
`void` | `setComponentDataSize(int x)`
`void` | `setInstallableService(MQInstallableService x)`

Methods inherited from interface com.collation.platform.model.topology.sys.SoftwareComponent
`getExecutableName, getExit, getExitLocal, getGroup, getInstalledDate, getName, getParent, getPublisher, getSoftwareVersion, getType, hasExecutableName, hasExit, hasExitLocal, hasGroup, hasInstalledDate, hasName, hasParent, hasPublisher, hasSoftwareVersion, hasType, setExecutableName, setExit, setExitLocal, setGroup, setInstalledDate, setName, setParent, setPublisher, setSoftwareVersion, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getComponentDataSize

    int getComponentDataSize()
                             throws AttributeNotSetException

  ComponentDataSize=size The size, in bytes, of the component data area passed to the component on each call. Specify zero if no component data is required.

  Throws:
    `AttributeNotSetException`

### setComponentDataSize

    void setComponentDataSize(int x)

### hasComponentDataSize

    boolean hasComponentDataSize()

### getInstallableService

    MQInstallableService getInstallableService()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setInstallableService

    void setInstallableService(MQInstallableService x)

### hasInstallableService

    boolean hasInstallableService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD